Blue Guardrails

Get Tool Call Transitions

GET
/v1/analytics/tool-call-transitions

Get tool call transition sequences across conversations.

Query Parameters

filter*Filter

Message filter expression with created_at lower and upper bounds.

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/analytics/tool-call-transitions?filter=string"
{  "transitions": [    {      "from_tool": "string",      "to_tool": "string",      "count": 0    }  ]}